Bug 1143578 - (CVE-2018-20861) VUL-1: CVE-2018-20861: libopenmpt: libopenmpt allows a crash with certain malformed custom tunings in MPTM files
(CVE-2018-20861)
VUL-1: CVE-2018-20861: libopenmpt: libopenmpt allows a crash with certain mal...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/238339/
CVSSv3:SUSE:CVE-2018-20861:2.8:(AV:L/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-07-31 09:03 UTC by Alexandros Toptsoglou
Modified: 2021-05-31 11:55 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Alexandros Toptsoglou 2019-07-31 09:06:09 UTC
SLE15 is affected. The fix can be found in [1] 


[1] https://source.openmpt.org/browse/openmpt?op=comp&compare[]=/branches/OpenMPT-1.27/@10614&compare[]=/branches/OpenMPT-1.27/@10615
Comment 2 Tomáš Chvátal 2019-08-14 09:08:13 UTC
Sent the changelog update to TW and update to SLE15.
Comment 3 Swamp Workflow Management 2019-08-14 09:30:07 UTC
This is an autogenerated message for OBS integration:
This bug (1143578) was mentioned in
https://build.opensuse.org/request/show/723239 Factory / libopenmpt
Comment 5 Swamp Workflow Management 2019-09-23 16:12:49 UTC
SUSE-SU-2019:2435-1: An update that fixes four vulnerabilities is now available.

Category: security (moderate)
Bug References: 1143578,1143581,1143582,1143584
CVE References: CVE-2018-20860,CVE-2018-20861,CVE-2019-14382,CVE-2019-14383
Sources used:
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    libopenmpt-0.3.17-2.7.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    libopenmpt-0.3.17-2.7.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP1 (src):    libopenmpt-0.3.17-2.7.1
SUSE Linux Enterprise Module for Desktop Applications 15 (src):    libopenmpt-0.3.17-2.7.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2019-09-28 22:11:00 UTC
openSUSE-SU-2019:2213-1: An update that fixes four vulnerabilities is now available.

Category: security (moderate)
Bug References: 1143578,1143581,1143582,1143584
CVE References: CVE-2018-20860,CVE-2018-20861,CVE-2019-14382,CVE-2019-14383
Sources used:
openSUSE Leap 15.1 (src):    libopenmpt-0.3.17-lp151.2.3.1
Comment 7 Swamp Workflow Management 2019-09-28 22:12:02 UTC
openSUSE-SU-2019:2212-1: An update that fixes four vulnerabilities is now available.

Category: security (moderate)
Bug References: 1143578,1143581,1143582,1143584
CVE References: CVE-2018-20860,CVE-2018-20861,CVE-2019-14382,CVE-2019-14383
Sources used:
openSUSE Leap 15.0 (src):    libopenmpt-0.3.17-lp150.7.1
Comment 8 Alexandros Toptsoglou 2020-07-10 13:21:14 UTC
Done